iSkeletonAnimation Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSkeletonAnimation Struct Reference

This interface provides animation of a skeleton. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonAnimation:

List of all members.

## Public Member Functions
virtual iSkeletonAnimationKeyFrame * | CreateFrame (const char *name)=0
| Create new key frame.
virtual size_t | FindFrameIndex (const char *name)=0
| Find key frame by name.
virtual float | GetFactor ()=0
| Get animation factor.
virtual iSkeletonAnimationKeyFrame * | GetFrame (size_t i)=0
| Get key frame by index.
virtual size_t | GetFramesCount ()=0
| Get number of frames in the animation.
virtual bool | GetLoop ()=0
| Get animation loop value.
virtual const char * | GetName () const =0
| Get animation name.
virtual float | GetSpeed ()=0
| Get animation speed.
virtual csTicks | GetTime ()=0
| Get animation duration.
virtual void | RecalcSpline ()=0
| Recalculates spline for bones rotations.
virtual void | RemoveAllFrames ()=0
| Remove all frames.
virtual void | RemoveFrame (size_t i)=0
| Remove frame by index.
virtual void | SetFactor (float factor)=0
| Set animation factor.
virtual void | SetLoop (bool loop)=0
| Set animation loop value.
virtual void | SetName (const char *name)=0
| Set animation name.
virtual void | SetSpeed (float speed)=0
| Set animation speed (default = 1.0).
virtual void | SetTime (csTicks time)=0
| Set animation duration.

## Detailed Description

This interface provides animation of a skeleton.

Definition at line 244 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonAnimationKeyFrame* iSkeletonAnimation::CreateFrame | ( | const char * | name | ) | `[pure virtual]`

Create new key frame.

virtual size_t iSkeletonAnimation::FindFrameIndex | ( | const char * | name | ) | `[pure virtual]`

Find key frame by name.

virtual float iSkeletonAnimation::GetFactor | ( |  | ) | `[pure virtual]`

Get animation factor.

virtual iSkeletonAnimationKeyFrame* iSkeletonAnimation::GetFrame | ( | size_t | i | ) | `[pure virtual]`

Get key frame by index.

virtual size_t iSkeletonAnimation::GetFramesCount | ( |  | ) | `[pure virtual]`

Get number of frames in the animation.

virtual bool iSkeletonAnimation::GetLoop | ( |  | ) | `[pure virtual]`

Get animation loop value.

virtual const char* iSkeletonAnimation::GetName | ( |  | ) | const`[pure virtual]`

Get animation name.

virtual float iSkeletonAnimation::GetSpeed | ( |  | ) | `[pure virtual]`

Get animation speed.

virtual csTicks iSkeletonAnimation::GetTime | ( |  | ) | `[pure virtual]`

Get animation duration.

virtual void iSkeletonAnimation::RecalcSpline | ( |  | ) | `[pure virtual]`

Recalculates spline for bones rotations.

Needs to be called every time when new frames are added or removed.

virtual void iSkeletonAnimation::RemoveAllFrames | ( |  | ) | `[pure virtual]`

Remove all frames.

virtual void iSkeletonAnimation::RemoveFrame | ( | size_t | i | ) | `[pure virtual]`

Remove frame by index.

virtual void iSkeletonAnimation::SetFactor | ( | float | factor | ) | `[pure virtual]`

Set animation factor.

virtual void iSkeletonAnimation::SetLoop | ( | bool | loop | ) | `[pure virtual]`

Set animation loop value.

virtual void iSkeletonAnimation::SetName | ( | const char * | name | ) | `[pure virtual]`

Set animation name.

virtual void iSkeletonAnimation::SetSpeed | ( | float | speed | ) | `[pure virtual]`

Set animation speed (default = 1.0).

virtual void iSkeletonAnimation::SetTime | ( | csTicks | time | ) | `[pure virtual]`

Set animation duration.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h